com.genesyslab.wfm8.API.service.config851

## Class CfgUserFilter

- java.lang.Object
- - com.genesyslab.wfm8.API.service.config851.CfgUserFilter

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgUserFilter
      extends java.lang.Object
      implements java.io.Serializable

  CfgUser request filter
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.List<java.lang.Integer>` | `gswUserId`
    `protected int` | `gswUserIdNSizeIs`
    `private static long` | `serialVersionUID`
    `protected java.util.List<java.lang.Integer>` | `wmSecurityRoleId`
    `protected int` | `wmSecurityRoleIdNSizeIs`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgUserFilter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `java.util.List<java.lang.Integer>` | `getGswUserId()` Gets the value of the gswUserId property.
    `int` | `getGswUserIdNSizeIs()` Gets the value of the gswUserIdNSizeIs property.
    `java.util.List<java.lang.Integer>` | `getWmSecurityRoleId()` Gets the value of the wmSecurityRoleId property.
    `int` | `getWmSecurityRoleIdNSizeIs()` Gets the value of the wmSecurityRoleIdNSizeIs property.
    `int` | `hashCode()`
    `void` | `setGswUserId(java.util.List<java.lang.Integer> gswUserId)` Sets the value of the gswUserId property.
    `void` | `setGswUserIdNSizeIs(int value)` Sets the value of the gswUserIdNSizeIs property.
    `void` | `setWmSecurityRoleId(java.util.List<java.lang.Integer> wmSecurityRoleId)` Sets the value of the wmSecurityRoleId property.
    `void` | `setWmSecurityRoleIdNSizeIs(int value)` Sets the value of the wmSecurityRoleIdNSizeIs property.
    `java.lang.String` | `toString()`
    `CfgUserFilter` | `withGswUserId(java.util.Collection<java.lang.Integer> values)`
    `CfgUserFilter` | `withGswUserId(java.lang.Integer... values)`
    `CfgUserFilter` | `withGswUserIdNSizeIs(int value)`
    `CfgUserFilter` | `withWmSecurityRoleId(java.util.Collection<java.lang.Integer> values)`
    `CfgUserFilter` | `withWmSecurityRoleId(java.lang.Integer... values)`
    `CfgUserFilter` | `withWmSecurityRoleIdNSizeIs(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### gswUserIdNSizeIs

          protected int gswUserIdNSizeIs

    - #### gswUserId

          protected java.util.List<java.lang.Integer> gswUserId

    - #### wmSecurityRoleIdNSizeIs

          protected int wmSecurityRoleIdNSizeIs

    - #### wmSecurityRoleId

          protected java.util.List<java.lang.Integer> wmSecurityRoleId

  - ### Constructor Detail

    - #### CfgUserFilter

          public CfgUserFilter()

  - ### Method Detail

    - #### getGswUserIdNSizeIs

          public int getGswUserIdNSizeIs()

      Gets the value of the gswUserIdNSizeIs property.

    - #### setGswUserIdNSizeIs

          public void setGswUserIdNSizeIs(int value)

      Sets the value of the gswUserIdNSizeIs property.

    - #### getGswUserId

          public java.util.List<java.lang.Integer> getGswUserId()

      Gets the value of the gswUserId property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the gswUserId property.

      For example, to add a new item, do as follows:

              getGswUserId().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### getWmSecurityRoleIdNSizeIs

          public int getWmSecurityRoleIdNSizeIs()

      Gets the value of the wmSecurityRoleIdNSizeIs property.

    - #### setWmSecurityRoleIdNSizeIs

          public void setWmSecurityRoleIdNSizeIs(int value)

      Sets the value of the wmSecurityRoleIdNSizeIs property.

    - #### getWmSecurityRoleId

          public java.util.List<java.lang.Integer> getWmSecurityRoleId()

      Gets the value of the wmSecurityRoleId property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmSecurityRoleId property.

      For example, to add a new item, do as follows:

              getWmSecurityRoleId().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### withGswUserIdNSizeIs

          public CfgUserFilter withGswUserIdNSizeIs(int value)

    - #### withGswUserId

          public CfgUserFilter withGswUserId(java.lang.Integer... values)

    - #### withGswUserId

          public CfgUserFilter withGswUserId(java.util.Collection<java.lang.Integer> values)

    - #### withWmSecurityRoleIdNSizeIs

          public CfgUserFilter withWmSecurityRoleIdNSizeIs(int value)

    - #### withWmSecurityRoleId

          public CfgUserFilter withWmSecurityRoleId(java.lang.Integer... values)

    - #### withWmSecurityRoleId

          public CfgUserFilter withWmSecurityRoleId(java.util.Collection<java.lang.Integer> values)

    - #### setGswUserId

          public void setGswUserId(java.util.List<java.lang.Integer> gswUserId)

      Sets the value of the gswUserId property.
      Parameters:
        `gswUserId` - allowed object is `Integer`

    - #### setWmSecurityRoleId

          public void setWmSecurityRoleId(java.util.List<java.lang.Integer> wmSecurityRoleId)

      Sets the value of the wmSecurityRoleId property.
      Parameters:
        `wmSecurityRoleId` - allowed object is `Integer`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.